Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef
Class AppdefBean

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

Direct Known Subclasses:
  Agent, AgentType, AppdefNamedBean, AppdefResourceType, AppService, IpBase, ServiceCluster

    public abstract class AppdefBean

extends PersistedObject
implements ContainerManagedTimestampTrackable, java.io.Serializable

This is the base abstract class for all appdef pojos. This is modeled after the AppdefEntityBean less the EJB code.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Integer` | `cid`
`protected java.lang.Long` | `creationTime`
`protected java.lang.Long` | `modifiedTime`

Constructor Summary
`protected` | `AppdefBean()`
`protected` | `AppdefBean(java.lang.Integer id)`

Method Summary
`boolean` | `allowContainerManagedCreationTime()` Define the management policy for the creation time.
`boolean` | `allowContainerManagedLastModifiedTime()` Define the management policy for the last modified time.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Integer` | `getCid()`
`long` | `getCreationTime()`
`java.lang.Long` | `getCTime()` Deprecated.
`long` | `getModifiedTime()`
`java.lang.Long` | `getMTime()` Deprecated.
`int` | `hashCode()`
`boolean` | `matchesValueObject(AppdefResourceValue obj)` legacy EJB entity bean code
`void` | `setCid(java.lang.Integer cid)`
`void` | `setCreationTime(java.lang.Long creationTime)`
`void` | `setModifiedTime(java.lang.Long modifiedTime)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### creationTime

    protected java.lang.Long creationTime

### modifiedTime

    protected java.lang.Long modifiedTime

### cid

    protected java.lang.Integer cid

Constructor Detail

### AppdefBean

    protected AppdefBean()

### AppdefBean

    protected AppdefBean(java.lang.Integer id)

Method Detail

### allowContainerManagedCreationTime

    public boolean allowContainerManagedCreationTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the creation time. If the creation time is set explicitly, an explicit management policy will be assumed always, regardless of the return value.

  Specified by:
    `allowContainerManagedCreationTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### allowContainerManagedLastModifiedTime

    public boolean allowContainerManagedLastModifiedTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the last modified time.

  Specified by:
    `allowContainerManagedLastModifiedTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### getCreationTime

    public long getCreationTime()

### setCreationTime

    public void setCreationTime(java.lang.Long creationTime)

### getModifiedTime

    public long getModifiedTime()

### setModifiedTime

    public void setModifiedTime(java.lang.Long modifiedTime)

### getCTime

    public java.lang.Long getCTime()

  Deprecated.

  Returns:

### getMTime

    public java.lang.Long getMTime()

  Deprecated.

  Returns:

### getCid

    public java.lang.Integer getCid()

### setCid

    public void setCid(java.lang.Integer cid)

### matchesValueObject

    public boolean matchesValueObject(AppdefResourceValue obj)

  legacy EJB entity bean code

  Parameters:
    `obj` -
  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.